<template>
  <div class="app-container">
<el-form ref="form" :inline="true" class="inquire" :model="form" label-width="80px">
   <el-form-item label="编号">
    <el-input v-model="form.name" style="width:202px"></el-input>
  </el-form-item>
   <el-form-item label="检查单位">
     <el-select v-model="value" placeholder="请选择">
    <el-option
      v-for="item in options"
      :key="item.value"
      :label="item.label"
      :value="item.value">
    </el-option>
  </el-select>
  </el-form-item>
   <el-form-item label="检查部门">
       <el-select v-model="value" placeholder="请选择">
    <el-option
      v-for="item in options"
      :key="item.value"
      :label="item.label"
      :value="item.value">
    </el-option>
  </el-select>
  </el-form-item>
   <el-form-item label="检查人">
    <el-input v-model="form.name" style="width:202px"></el-input>
  </el-form-item>
   <el-form-item label="隐患单位">
       <el-select v-model="value" placeholder="请选择">
    <el-option
      v-for="item in options"
      :key="item.value"
      :label="item.label"
      :value="item.value">
    </el-option>
  </el-select>
  </el-form-item>
   <el-form-item label="隐患部门">
       <el-select v-model="value" placeholder="请选择">
    <el-option
      v-for="item in options"
      :key="item.value"
      :label="item.label"
      :value="item.value">
    </el-option>
  </el-select>
  </el-form-item>
   <el-form-item label="隐患类别">
       <el-select v-model="value" placeholder="请选择">
    <el-option
      v-for="item in options"
      :key="item.value"
      :label="item.label"
      :value="item.value">
    </el-option>
  </el-select>
  </el-form-item>
   <el-form-item label="隐患级别">
       <el-select v-model="value" placeholder="请选择">
    <el-option
      v-for="item in options"
      :key="item.value"
      :label="item.label"
      :value="item.value">
    </el-option>
  </el-select>
  </el-form-item>
   <el-form-item label="检查类别">
       <el-select v-model="value" placeholder="请选择">
    <el-option
      v-for="item in options"
      :key="item.value"
      :label="item.label"
      :value="item.value">
    </el-option>
  </el-select>
  </el-form-item>
   <el-form-item label="隐患地点">
    <el-input v-model="form.name" style="width:202px"></el-input>
  </el-form-item>
   <el-form-item label="隐患内容">
    <el-input v-model="form.name" style="width:202px"></el-input>
  </el-form-item>
   <el-form-item label="班次">
       <el-select v-model="value" placeholder="请选择">
    <el-option
      v-for="item in options"
      :key="item.value"
      :label="item.label"
      :value="item.value">
    </el-option>
  </el-select>
  </el-form-item>
   <el-form-item label="是否关联">
       <el-select v-model="value" placeholder="请选择">
    <el-option
      v-for="item in options"
      :key="item.value"
      :label="item.label"
      :value="item.value">
    </el-option>
  </el-select>
  </el-form-item>
   <el-form-item label="录入人">
       <el-select v-model="value" placeholder="请选择">
    <el-option
      v-for="item in options"
      :key="item.value"
      :label="item.label"
      :value="item.value">
    </el-option>
  </el-select>
  </el-form-item>
   <el-form-item label="检查时间">
      <el-col :span="11">
      <el-date-picker type="date" placeholder="选择日期" v-model="form.date1" style="width: 100%;"></el-date-picker>
    </el-col>
    <el-col style="text-align:center" :span="2">-</el-col>
    <el-col :span="11">
       <el-date-picker type="date" placeholder="选择日期" v-model="form.date1" style="width: 100%;"></el-date-picker>
    </el-col>
  </el-form-item>
   <el-form-item label="限改时间">
      <el-col :span="11">
      <el-date-picker type="date" placeholder="选择日期" v-model="form.date1" style="width: 100%;"></el-date-picker>
    </el-col>
    <el-col style="text-align:center" :span="2">-</el-col>
    <el-col :span="11">
       <el-date-picker type="date" placeholder="选择日期" v-model="form.date1" style="width: 100%;"></el-date-picker>
    </el-col>
  </el-form-item>
   <el-form-item style="text-align:center;padding:0 50px">
    <el-button type="primary" class="btns" icon="el-icon-search">查询</el-button>
    <el-button type="primary" class="btns" icon="el-icon-upload2">导出excel</el-button>
  </el-form-item>
  </el-form>
    <el-row class="title-center">
      <el-col :span="4">
        <el-radio-group v-model="radio1">
      <el-radio-button label="上海"></el-radio-button>
      <el-radio-button label="北京"></el-radio-button>
      <el-radio-button label="广州"></el-radio-button>
    </el-radio-group>
      </el-col>
      <el-col :offset="16" :span="4" style="text-align:right;">
        <el-button class="btns" type="primary" icon="el-icon-search">查看进度</el-button>
        <el-button class="btns" type="primary" icon="el-icon-edit">填写进度</el-button>
      </el-col>
    </el-row>
    <el-table :data="tableData" style="width: 100%">
      <el-table-column
        type="selection"
        width="55"
        align="center"
      ></el-table-column>
      <el-table-column
        prop="date"
        label="编号"
        align="center"
        sortable
        width="120"
      >
      </el-table-column>
      <el-table-column
        prop="date"
        label="检察部门"
        align="center"
        sortable
        width="120"
      >
      </el-table-column>
      <el-table-column
        prop="date"
        label="检查人"
        align="center"
        sortable
        width="120"
      >
      </el-table-column>
      <el-table-column prop="date" label="检查类别" align="center">
      </el-table-column>
      <el-table-column label="隐患项目" align="center">
        <el-table-column label="检察时间" width="120" sortable align="center">
        </el-table-column>
        <el-table-column label="地点" align="center"> </el-table-column>
        <el-table-column label="内容" align="center"> </el-table-column>
        <el-table-column label="类别" align="center"> </el-table-column>
        <el-table-column label="级别" align="center"> </el-table-column>
      </el-table-column>
      <el-table-column label="整改计划" align="center">
        <el-table-column label="整改措施" align="center"> </el-table-column>
        <el-table-column label="隐患部门" align="center"> </el-table-column>
        <el-table-column label="责任人" align="center"> </el-table-column>
        <el-table-column label="限改时间" width="120" sortable align="center">
        </el-table-column>
        <el-table-column label="级别" align="center"> </el-table-column>
      </el-table-column>
      <el-table-column label="风险等级" align="center"> </el-table-column>
    </el-table>
    <div style="text-align: right">
      <el-pagination
        v-show="recordTotal > 0"
        @size-change="handleSizeChange"
        @current-change="handleCurrentChange"
        :current-page="currentPage"
        :page-sizes="[10, 20, 30, 50]"
        :page-size="pageSize"
        layout="total, sizes, prev, pager, next, jumper"
        :total="recordTotal"
      >
      </el-pagination>
    </div>
  </div>
</template>
<script>
export default {
  data() {
    return {
      form:{},
      radio1: '上海',
       options: [{
          value: '选项1',
          label: '黄金糕'
        }, {
          value: '选项2',
          label: '双皮奶'
        }, {
          value: '选项3',
          label: '蚵仔煎'
        }, {
          value: '选项4',
          label: '龙须面'
        }, {
          value: '选项5',
          label: '北京烤鸭'
        }],
      tableData: [],
      pageSize: 10,
      recordTotal: 0,
      currentPage: 1,
    };
  },
};
</script>
<style>
.inquire{
  display: flex;
  justify-content:left;
  flex-wrap: wrap;
}
.inquire .el-form-item{
  padding: 0 46px;
}
.title-center{
  padding: 20px 0;
}
.btns {
  background-color: #034ea2;
  border: 1px solid #034ea2;
}
</style>